커스텀 QR 코드
GET https://u.page/api/qr-codes/
curl --request GET \
--url 'https://u.page/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까. 허용되는 값은: name입니다. |
| type | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까. 허용되는 값은: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix입니다. |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 어떤 필드로 정렬할까요. 허용되는 값은: qr_code_id, datetime, last_datetime, name, type. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다. |
| page | 선택 사항 정수 | 원하는 결과를 얻고 싶은 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 한 페이지당 원하는 결과 수는 10, 25, 50, 100, 250, 500, 1000입니다. 허용되는 값은 25입니다. 기본값은입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://u.page/api/qr-codes?page=1",
"last": "https://u.page/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://u.page/api/qr-codes?page=1"
}
}
GET https://u.page/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
}
POST https://u.page/api/qr-codes
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
curl --request POST \
--url 'https://u.page/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://u.page/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
}
POST https://u.page/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
}
DELETE https://u.page/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \